Loading...
Searching...
No Matches
thread_signal.hpp File Reference

holds the definition of a thread class type where cancellation is implemented by mean of signal More...

`#include "config.h"`
`#include "thread.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::thread_signal
| Class thread_signal provide the same interface as class thread but relies on a signal to wakeup the tread if it was pending on a system call. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

holds the definition of a thread class type where cancellation is implemented by mean of signal

Definition in file thread_signal.hpp.